Check for active liens and theft records using a VIN.
The Lien & Theft Check API provides access to lien and theft data by allowing users to search for records based on a vehicle's VIN. This API is useful for developers who need to verify the legal status of a specific vehicle.
This endpoint allows you to retrieve lien and theft information using a VIN.
keyYour CarsXE API key.
vinThe 17 character long vehicle identification number.
successWhether the vehicle data has been retrieved successfully.
inputObject detailing the query you made, including the VIN.
timestampThe timestamp of the API response.
yearThe model year of the vehicle.
makeThe make (brand) of the vehicle.
modelThe model name of the vehicle.
typeThe vehicle type (e.g. CAR).
eventsA list of events (liens, thefts) associated with the vehicle.
trim_dataDetailed trim and specification data for the vehicle.
The events array can contain the following types of records:
| Event Type | Field Labels | Details | Derived Text |
|---|---|---|---|
| Open Lien | lienholder, location, date | Text as supplied, State, Date | Vehicle is reported to have an open lien on title: <lienholder> |
| Active Theft | location | State | The vehicle is reported to be an active theft. |
| Recovered Theft | location | State | The vehicle is reported to be a recovered theft |
| Exported | date, location | MM/DD/YYYY, State | Vehicle is reported to have been exported out of the United States |
| Towing/Impound | date, location | MM/DD/YYYY, State | Vehicle is reported as Towed or Impounded |
| Vehicle for Sale | date | MM/DD/YYYY | Vehicle is reported to have been available for sale on eBay Motors.com... |
curl -G https://api.carsxe.com/v1/lien-theft \
-d key=CARSXE_API_KEY \
-d vin=2C3CDXFG1FH762860{
"success": true,
"input": {
"vin": "2C3CDXFG1FH762860"
},
"timestamp": "2025-12-07T20:32:11.027Z",
"year": 2015,
"make": "DODGE",
"model": "Charger",
"type": "CAR",
"events": [
{
"event": "Recovered Theft",
"location": "OH",
"details_list": [
"The vehicle is reported to be an Recovered Theft."
]
}
],
"trim_data": {
"General": {
"VIN": "2C3CDXFG*FH",
"Model Year": "2015",
"Make": "DODGE",
"Make ID": "476",
"Model": "Charger",
"Model ID": "1895",
"Body Class": "Sedan/Saloon",
"Trim": "SE",
"Vehicle Type": "PASSENGER CAR",
"Manufacturer Name": "FCA CANADA INC.",
"Manufacturer Id": "995",
"Plant City": "BRAMPTON",
"Plant Company Name": "Brampton Assembly",
"Plant Country": "CANADA",
"Plant State": "ONTARIO"
},
"Passive Safety System": {
"Front Air Bag Locations": "1st Row (Driver and Passenger)",
"Side Air Bag Locations": "All Rows",
"Other Restraint System Info": "Active Seat Belt: All Seating Positions; Air Bags: Outboard Seating Positions",
"Seat Belts Type": "Manual"
},
"Mechanical": {
"Drive Type": "AWD/All-Wheel Drive"
},
"Exterior": {
"Bed Type": "Not Applicable",
"Cab Type": "Not Applicable",
"Body Class": "Sedan/Saloon",
"Bus Floor Configuration Type": "Not Applicable",
"Bus Type": "Not Applicable",
"Custom Motorcycle Type": "Not Applicable",
"Doors": "4",
"Gross Vehicle Weight Rating": "Class 1: 6,000 lb or less (2,722 kg or less)",
"Gross Vehicle Weight Rating up to": "Class 1: 6,000 lb or less (2,722 kg or less)",
"Motorcycle Chassis Type": "Not Applicable",
"Motorcycle Suspension Type": "Not Applicable",
"Trailer Body Type": "Not Applicable",
"Trailer Type Connection": "Not Applicable"
},
"Engine": {
"Displacement (Cubic Centimeters)": "3600.0",
"Displacement (Cubic Litre)": "219.68547874103",
"Displacement (Litre)": "3.6",
"Engine Configuration": "V-Shaped",
"Engine Number of Cylinders": "6",
"Engine Brake (hp)": "292",
"Engine Manufacturer": "FCA",
"Fuel Type - Primary": "Gasoline",
"Other Engine Info": "Sales Code: ERB",
"Turbo": "No"
},
"Interior": {
"Steering Location": "Left-Hand Drive (LHD)"
}
}
}